Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.application
Class PanelInfo

    java.lang.Object
      com.developmentontheedge.application.PanelInfo

public class PanelInfo
extends java.lang.Object

Field Summary
`protected javax.swing.Action` | `action`
`static int` | `BOTTOM`
`protected boolean` | `isEnabled`
`static int` | `LEFT`
`protected java.lang.String` | `name`
`protected javax.swing.JComponent` | `panel`
`static int` | `RIGHT`
`static int` | `TOP`

Constructor Summary
`PanelInfo(java.lang.String name, javax.swing.JComponent panel, boolean isEnabled, javax.swing.Action action)`

Method Summary
`javax.swing.Action` | `getAction()`
`java.lang.String` | `getName()`
`javax.swing.JComponent` | `getPanel()`
`boolean` | `isEnabled()`
`void` | `setEnabled(boolean isEnabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

### TOP

    public static final int TOP

See Also:
  Constant Field Values

### BOTTOM

    public static final int BOTTOM

See Also:
  Constant Field Values

### name

    protected java.lang.String name

### panel

    protected javax.swing.JComponent panel

### isEnabled

    protected boolean isEnabled

### action

    protected javax.swing.Action action

Constructor Detail

### PanelInfo

    public PanelInfo(java.lang.String name,
                     javax.swing.JComponent panel,
                     boolean isEnabled,
                     javax.swing.Action action)

Method Detail

### getName

    public java.lang.String getName()

### getPanel

    public javax.swing.JComponent getPanel()

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean isEnabled)

### getAction

    public javax.swing.Action getAction()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.